#
# spec file for package python-pytest-mpl
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%define skip_python36 1
%define eggver 0.12
Name:           python-pytest-mpl
Version:        0.12.0
Release:        1.16
Summary:        Pytest plugin for testing Matplotlib figures
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/matplotlib/pytest-mpl
# get the test reference data from the GitHub archive
Source:         https://github.com/matplotlib/pytest-mpl/archive/v%{version}.tar.gz#/pytest-mpl-%{version}-gh.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pillow
Requires:       python-matplotlib
Requires:       python-pytest
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module matplotlib}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
This is a pytest plugin to help with testing figures output from Matplotlib.

%prep
%setup -q -n pytest-mpl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.md README.rst
%license LICENSE
%{python_sitelib}/pytest_mpl
%{python_sitelib}/pytest_mpl-%{eggver}*-info

%changelog
* Wed Feb 17 2021 Ben Greiner <code@bnavigator.de>
- Update to 0.12
  * Fix passing a https url for baseline images from the CLI. [#89]
  * Added --mpl-baseline-relative option to specify baseline
    images relative to the test path. [#96]
  * Add option to do comparisons against a json library of sha256
    hashes. [#98]
  * Drop support for matplotlib 1.5 and Python < 3.6. [#100]
  * Add support for generating a HTML summary of test faliures.
    [#101]
  * Add support for falling back to baseline image comparison if
    hash comparison fails. [#101]
- Skip python2 and python36 flavors. python36-matplotlib is no
  longer in Tumbleweed (NEP 29)
- Get test reference data from GitHub archive
* Mon Aug  3 2020 Matej Cepl <mcepl@suse.com>
- Nose is actually not needed (gh#matplotlib/pytest-mpl#25).
* Mon Nov 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.11:
  * Improve error message if image shapes don't match. [#79]
  * Properly register mpl_image_compare marker with pytest. [#83]
* Thu Jan 17 2019 Todd R <toddrme2178@gmail.com>
- Initial version
